declare
begin
  execute immediate 
  'update fiscal_ml2 set indvendamanual = 1 where fiscalml2_id in (
    select ml2.fiscalml2_id 
    from fiscal_ml2 ml2
    join boleto b on b.boleto_id = ml2.boleto_id
    where b.tipoventa_id = 3)';
  exception when others then null;
end;
/
declare
begin
  execute immediate 
  'update fiscal_r4 set indvendamanual = 1 where fiscalr4_id in (
    select r4.fiscalr4_id 
    from fiscal_r4 r4
    join boleto b on b.boleto_id = r4.boleto_id
    where b.tipoventa_id = 3)';
  exception when others then null;
end;
