declare
    table_exists exception;
    pragma exception_init (table_exists , -00955);
begin
  execute immediate
        'create table OCD_PTOVTA_PARAM (OCDPTOVTAPARAM_ID NUMBER(15,0),
OCDPARAM_ID NUMBER(15,0),
PUNTOVENTA_ID NUMBER(15,0),
ACTIVO NUMBER(1,0),
FECMODIF DATE,
USUARIO_ID NUMBER(7,0),
PRIMARY KEY ("OCDPTOVTAPARAM_ID"),
FOREIGN KEY ("OCDPARAM_ID")
REFERENCES "OCD_PARAM"("OCDPARAM_ID"),
FOREIGN KEY ("PUNTOVENTA_ID")
REFERENCES "PUNTO_VENTA"("PUNTOVENTA_ID")
)';
    exception when table_exists then null;
end;