declare
    column_exists exception;
    pragma exception_init (column_exists , -01430);
begin
    execute immediate 'ALTER TABLE CAMBIO_TITULARIDAD ADD (DESCORGAODOC VARCHAR(5),
											   DESCCORREO VARCHAR(100),
											   DESCTELEFONO VARCHAR(15),
											   NUMFIDELIDAD VARCHAR(30),
											   DESCNUMDOC2 VARCHAR(15),
											   DESCTIPODOC2 VARCHAR(5),
											   FECNACIMIENTO DATE,
											   EMBARQUE_ID NUMBER(7,0)
											   )';
    exception when column_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -02275);
begin
	execute immediate 'ALTER TABLE CAMBIO_TITULARIDAD ADD CONSTRAINT CT_EMBARQUE_FK FOREIGN KEY (EMBARQUE_ID) REFERENCES PARADA( PARADA_ID ) ENABLE';	
    exception when others then null;
end;