declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
'CREATE TABLE CONEXION_RUTA_CONF
   (CONEXIONRUTACONF_ID  NUMBER(7,0) NOT NULL ENABLE, 
	ACTIVO NUMBER(1,0), 
	FECMODIF DATE, 
	USUARIO_ID NUMBER(7,0), 
	DESCRICAO VARCHAR2(100),
	 PRIMARY KEY (CONEXIONRUTACONF_ID) ENABLE 
   )';
  exception when object_exists then null;
end;


/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
  	'CREATE SEQUENCE  CONEXION_RUTA_CONF_SEQ  MINVALUE 1 MAXVALUE 9999999 INCREMENT BY 1 START WITH 101 CACHE 20 NOORDER  NOCYCLE';	
  exception when object_exists then null;
end;

/

declare
    column_exists exception;
    pragma exception_init (column_exists , -01430);
begin
    execute immediate 'ALTER TABLE CONEXION_RUTA_CTRL ADD (CONEXIONRUTACONF_ID  NUMBER(7,0))';
    exception when column_exists then null;
end;
/
declare
  column_exists exception;
  except_02275  exception;

  pragma exception_init (column_exists , -01430);
  pragma exception_init (column_exists , -02275);
begin
  execute immediate 'ALTER TABLE CONEXION_RUTA_CTRL ADD CONSTRAINT FK_CONEXION_RUTA_CONF FOREIGN KEY (CONEXIONRUTACONF_ID) 
  REFERENCES CONEXION_RUTA_CONF(CONEXIONRUTACONF_ID)'; 
      exception when column_exists then null;
end;
/

declare
    column_exists exception;
    pragma exception_init (column_exists , -01430);
begin
    execute immediate 'ALTER TABLE CONEXION_RUTA_CONF ADD (TIEMPOMIN  NUMBER(7,0))';
    exception when column_exists then null;
end;
/

declare
    column_exists exception;
    pragma exception_init (column_exists , -01430);
begin
    execute immediate 'ALTER TABLE CONEXION_RUTA_CONF ADD (TIEMPOMAX  NUMBER(7,0))';
    exception when column_exists then null;
end;
/


declare
    column_exists exception;
    pragma exception_init (column_exists , -01430);
begin
    execute immediate 'ALTER TABLE CONEXION_RUTA_CTRL ADD (CONEXIONRUTACONF_ID  NUMBER(7,0))';
    exception when column_exists then null;
end;

/
declare
    column_exists exception;
    pragma exception_init (column_exists , -01430);
begin
    execute immediate 'ALTER TABLE CONEXION_RUTAEXCEPCIONTIPOPTA ADD (CONEXIONRUTACONF_ID  NUMBER(7,0))';
    exception when column_exists then null;
end;
/

declare
    column_exists exception;
    pragma exception_init (column_exists , -01430);
begin
    execute immediate 'ALTER TABLE CONEXION_RUTA_EXCEPCION_PTOVTA ADD (CONEXIONRUTACONF_ID  NUMBER(7,0))';
    exception when column_exists then null;
end;
/

declare
  column_exists exception;
  except_02275  exception;

  pragma exception_init (column_exists , -01430);
  pragma exception_init (column_exists , -02275);
begin
  execute immediate 'ALTER TABLE CONEXION_RUTAEXCEPCIONTIPOPTA ADD CONSTRAINT FK_CONEXION_RUTACONF_TPPTA FOREIGN KEY (CONEXIONRUTACONF_ID) 
  REFERENCES CONEXION_RUTA_CONF(CONEXIONRUTACONF_ID)'; 
      exception when column_exists then null;
end;
/


declare
  column_exists exception;
  except_02275  exception;

  pragma exception_init (column_exists , -01430);
  pragma exception_init (column_exists , -02275);
begin
  execute immediate 'ALTER TABLE CONEXION_RUTA_EXCEPCION_PTOVTA ADD CONSTRAINT FK_CONEXION_RUTACONF_PTOVTA FOREIGN KEY (CONEXIONRUTACONF_ID) 
  REFERENCES CONEXION_RUTA_CONF(CONEXIONRUTACONF_ID)'; 
      exception when column_exists then null;
end;
/