DO $$
BEGIN
  insert into funcion_sistema (funcionsistema_id,sistema_id,nombfuncion,descruta,activo,fecmodif,usuario_id) values 
  (nextval('funcion_sistema_seq'),1,'ADM > RELATORIOS >> CADASTRO CLIENTES','COM.RJCONSULTORES.ADMINISTRACION.GUI.RELATORIOS.MENU.CADASTROCLIENTES',1,now(),1);
  
  ALTER TABLE CLIENTE ADD COLUMN FECCADASTRO DATE, ADD COLUMN EMPRESA_ID INTEGER, ADD COLUMN PUNTOVENTA_ID INTEGER;
  
  ALTER TABLE CLIENTE ADD CONSTRAINT CLIENTE_EMPRESA FOREIGN KEY (EMPRESA_ID) REFERENCES EMPRESA (EMPRESA_ID);
  
  EXCEPTION 
    WHEN unique_violation THEN NULL;
    WHEN duplicate_column THEN NULL;
    WHEN duplicate_object THEN NULL;
END
$$;
