declare
    table_exists exception;
    pragma exception_init (table_exists , -00955);
begin
  execute immediate
	'CREATE TABLE CONF_COMPROVANTE_PASSAGEM (
		  CONFCOMPROVANTEPASSAGEM_ID NUMBER(7) NOT NULL,
          EMPRESA_ID NUMBER(7,0), 
		  VIA_COMPROVANTE  VARCHAR2(100), 
		  TIPO_INTEGRACAO VARCHAR2(100),
		  URL VARCHAR2(300),
		  API_KEY VARCHAR2(300),
		  REMETENTE VARCHAR2(300),
		  NOME_TEMPLATE VARCHAR2(100),
		  ACTIVO NUMBER(1),
          FECMODIF DATE,
          USUARIO_ID NUMBER(7),
		  PRIMARY KEY ( CONFCOMPROVANTEPASSAGEM_ID )
    )';
	
  exception when table_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE "CONF_COMPROVANTE_PASSAGEM_SEQ" INCREMENT BY 1 START WITH 1 NOCACHE ORDER NOCYCLE';	
  exception when object_exists then null;
end;
/