declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE TABLE CONEXION_DESCUENTO
  (
    CONEXIONDESCUENTO_ID NUMBER(15) PRIMARY KEY NOT NULL,
    ACTIVO               NUMBER(1),
    CONEXION_ID          NUMBER(15),
    CLASSESERVICIO_ID    NUMBER(15),
    SECUENCIA            NUMBER(2),
    GRUPO                NUMBER(3),
    DESCUENTO            NUMBER(7, 2),
    FECMODIF             DATE,
    FOREIGN KEY (CONEXION_ID) REFERENCES CONEXION (CONEXION_ID),
    FOREIGN KEY (CLASSESERVICIO_ID) REFERENCES CLASE_SERVICIO (CLASESERVICIO_ID)
  )';
 exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE CONEXION_DESCUENTO_SEQ START WITH 1';	
  exception when object_exists then null;
end;
