declare
    object_exists exception;
    pragma exception_init (object_exists , -01430);
begin
	execute immediate 'ALTER TABLE TARIFA_MINIMA ADD (VIGENCIATARIFA_ID NUMBER(7) )';	
    exception when others then null;
end;
/

declare
    object_exists exception;
    pragma exception_init (object_exists , -01430);
begin
	execute immediate 'ALTER TABLE TARIFA_MINIMA ADD CONSTRAINT TARIFA_MINIMA_FK_VIGENCIA FOREIGN KEY (VIGENCIATARIFA_ID ) REFERENCES VIGENCIA_TARIFA( VIGENCIATARIFA_ID ) ENABLE';	
    exception when others then null;
end;
/

declare
    object_exists exception;
    pragma exception_init (object_exists , -01430);
begin
	execute immediate 'ALTER TABLE TARIFA_MINIMA ADD (RUTA_ID NUMBER(7) )';	
    exception when others then null;
end;
/

declare
    object_exists exception;
    pragma exception_init (object_exists , -01430);
begin
	execute immediate 'ALTER TABLE TARIFA_MINIMA ADD CONSTRAINT TARIFA_MINIMA_FK_RUTA FOREIGN KEY (RUTA_ID ) REFERENCES RUTA (RUTA_ID) ENABLE';	
    exception when others then null;
end;
/

declare
    object_exists exception;
    pragma exception_init (object_exists , -01430);
begin
	execute immediate 'ALTER TABLE TARIFA_MINIMA ADD (REGIONMETROPOLITANA_ID NUMBER(7) )';	
    exception when others then null;
end;
/

declare
    object_exists exception;
    pragma exception_init (object_exists , -01430);
begin
	execute immediate 'ALTER TABLE TARIFA_MINIMA ADD CONSTRAINT TARIFA_MINIMA_FK_REGION FOREIGN KEY (REGIONMETROPOLITANA_ID) REFERENCES REGION_METROPOLITANA (REGIONMETROPOLITANA_ID) ENABLE';	
    exception when others then null;
end;