declare
    column_exists exception;
    pragma exception_init (column_exists , -01430);
begin
    execute immediate 'ALTER TABLE CATEGORIA ADD (CVESISTEMA VARCHAR2(50))';
    exception when column_exists then null;
end;
/

declare
    begin
    execute immediate 'INSERT INTO CATEGORIA (CATEGORIA_ID, DESCCATEGORIA, ACTIVO, FECMODIF, USUARIO_ID, INDEMITETERMORECUSA, DESCIMPRESIONGRATUIDADE, INDNAOUSAASSENTO, CVESISTEMA) 
	VALUES (CATEGORIA_SEQ.nextval, ''FIDELIDADE'', ''1'', sysdate, ''1'', ''0'', ''FIDELIDADE'', ''0'', ''FIDELIDADE'')';
	exception when others  then null;
end;
/

declare
    begin
    execute immediate 'INSERT INTO CONSTANTE (CONSTANTE_ID, NOMBCONSTANTE, DESCCONSTANTE, INDTIPOCONSTANTE, INDMANTENIMIENTOUSUARIO, ACTIVO, FECMODIF, USUARIO_ID) 
	VALUES (CONSTANTE_SEQ.nextval, ''URL_WS_FIDELIDADE'', ''URL de chamada do projeto Fidelidade'', ''1'', ''1'', ''1'', sysdate, ''1'')';
	exception when others  then null;
end;
/

declare
    begin
    execute immediate 'INSERT INTO CONSTANTE (CONSTANTE_ID, NOMBCONSTANTE, DESCCONSTANTE, INDTIPOCONSTANTE, INDMANTENIMIENTOUSUARIO, ACTIVO, FECMODIF, USUARIO_ID) 
	VALUES (CONSTANTE_SEQ.nextval, ''SENHA_WS_FIDELIDADE'', ''SENHA de chamada do projeto Fidelidade'', ''1'', ''1'', ''1'', sysdate, ''1'')';
	exception when others  then null;
end;
/

declare
    begin
    execute immediate 'INSERT INTO CONSTANTE (CONSTANTE_ID, NOMBCONSTANTE, DESCCONSTANTE, INDTIPOCONSTANTE, INDMANTENIMIENTOUSUARIO, ACTIVO, FECMODIF, USUARIO_ID) 
	VALUES (CONSTANTE_SEQ.nextval, ''USUARIO_WS_FIDELIDADE'', ''USUARIO de chamada do projeto Fidelidade'', ''1'', ''1'', ''1'', sysdate, ''1'')';
	exception when others  then null;
end;
/

declare
    object_exists exception;
    pragma exception_init (object_exists , -01430);
begin
	execute immediate 'ALTER TABLE BOLETO ADD (TEMPORESERVAFIDELIDADE NUMBER(7,0))';
    exception when object_exists then null;
end;
