declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE TABLE BPE_CONT_AUTOMATICA (
       BPECONTAUTOMATICA_ID NUMBER(7) NOT NULL,
       EMPRESA_ID           NUMBER(7) NULL,
       ESTADO_ID           	NUMBER(7) NULL,
       QTDE_TIMEOUT         NUMBER(7) NULL,
       DT_SAIDA             DATE NULL,
       TIPOAMB         		NUMBER(1) NULL,
       ACTIVO               NUMBER(1) NULL,
       FECMODIF             DATE NULL,
       USUARIO_ID           NUMBER(7) NULL,
       PRIMARY KEY (BPECONTAUTOMATICA_ID), 
       FOREIGN KEY (EMPRESA_ID) REFERENCES EMPRESA
	)';
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 
	'CREATE SEQUENCE BPE_CONT_AUTOMATICA_SEQ INCREMENT BY 1 START WITH 1 NOCACHE ORDER NOCYCLE';	
  exception when object_exists then null;
end;
