declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
  	'CREATE TABLE GP_PRECIO_ESPECIAL_TARI_GRUPO 
   (PRECIOESPECIALTARIFAGRUPO_ID NUMBER(7,0) NOT NULL ENABLE, 
	QTDRESERVAMIN NUMBER(7,0) NOT NULL ENABLE, 
	QTDRESERVAMAX NUMBER(7,0) NOT NULL ENABLE, 
	ACTIVO NUMBER(1,0) NOT NULL ENABLE, 
	VALOR NUMBER(10,2) NOT NULL ENABLE, 
	PORCENTAGEM NUMBER(10,2) NOT NULL ENABLE, 
	PRICING_ID NUMBER(7,0) NOT NULL ENABLE, 
	USUARIO_ID NUMBER(7,0), 
	FECMODIF DATE,
	 CONSTRAINT PRECIO_ESPECI_TARIFA_GRUPO_PK PRIMARY KEY (PRECIOESPECIALTARIFAGRUPO_ID), 
	 CONSTRAINT FK_GP_PRICING FOREIGN KEY (PRICING_ID) REFERENCES GP_PRICING (PRICING_ID) ENABLE
   )';
 exception when object_exists then null;
end;
/

declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE SEQUENCE PRECIO_ESPECI_TARIFA_GRUPO_SEQ MINVALUE 1 MAXVALUE 9999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE';
 exception when object_exists then null;
end;
/